package aalgTest;

import aalg.algebra.IElement;
import aalg.algebra.IField;

public class FiniteFieldTester<T extends IElement> {
	
	private final IField<T> field;
	private final FiniteGroupTester<T> additiveGroupTester;
	private final FiniteGroupTester<T> multiplicativeGroupTester;
	
	public FiniteFieldTester(final IField<T> field) {
		this.field = field;
		this.additiveGroupTester = new FiniteGroupTester<T>(field.getAdditiveGroup());
		this.multiplicativeGroupTester = new FiniteGroupTester<T>(field.getMultiplicativeGroup());
	}
	
	public void testField() {
		additiveGroupTester.testGroup();
		multiplicativeGroupTester.testGroup();
	}
}
